<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:p="punteggiatura"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:template match="pc[@p:n1-subst]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>

			<xsl:variable name="pc-orig" select="string(.)"/>
			<xsl:variable name="pc-normalized" select="@p:n2-subst"/>

			<xsl:attribute name="p:orig" select="$pc-orig"/>

			<xsl:value-of select="$pc-normalized"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
