<?xml version="1.0" encoding="UTF-8"?>
<p:declare-step xmlns:p="http://www.w3.org/ns/xproc" version="1.0">
	<p:input port="source">
		<p:document href="marco-polo-master.tei.xml"/>
	</p:input>

	<p:option name="result-url" select="'marco-polo-n1.tei.xml'"/>

	<p:input port="parameters" kind="parameter"/>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="tokenize.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="remove-line-breaks.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="join-broken-words.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="record-original-words.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="downcase-normal-words.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="expand-abbreviations-n1.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="expand-abbreviations-all.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="normalize-letters-n1.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="normalize-letters-all.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="apply-pc-n1-subst.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="apply-choice-n1-normalization.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="adjust-capitalization.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="remove-original-unmodified-words.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="strip-normalization-hints.xsl"/>
		</p:input>
	</p:xslt>

	<p:xslt>
		<p:input port="stylesheet">
			<p:document href="untokenize.xsl"/>
		</p:input>
	</p:xslt>

	<p:store>
		<p:with-option name="href" select="$result-url"/>
	</p:store>
</p:declare-step>