<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xpath-default-namespace="http://www.tei-c.org/ns/1.0"
	xmlns:p="punteggiatura"
	version="2.0"
>
	<xsl:import href="common/identity.xsl"/>

	<xsl:template match="p:TOKEN[not(*)]">
		<xsl:copy>
			<xsl:attribute name="p:word-orig" select="string(.)"/>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="p:TOKEN[choice[orig]]">
		<xsl:copy>
			<xsl:attribute name="p:word-orig" select="choice/orig"/>
			<xsl:attribute name="p:tag-orig"><xsl:text>choice/orig</xsl:text></xsl:attribute>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="pc">
		<xsl:copy>
			<xsl:attribute name="p:orig" select="string(.)"/>
			<xsl:apply-templates select="@*|node()"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
